LegacyHTMLStripCharFilter (Solr 3.6.2 API)
Keywords: org.apache.solr.analysis.LegacyHTMLStripCharFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.analysis
Class LegacyHTMLStripCharFilter

    java.lang.Object
      java.io.Reader
          org.apache.lucene.analysis.CharStream
              org.apache.lucene.analysis.CharFilter
                  org.apache.lucene.analysis.BaseCharFilter
                      org.apache.solr.analysis.LegacyHTMLStripCharFilter

All Implemented Interfaces:
  Closeable, Readable

Deprecated. use `HTMLStripCharFilter`

    @Deprecated
    public class LegacyHTMLStripCharFilter

extends BaseCharFilter

This class is NOT recommended for new users and should be considered UNSUPPORTED.

In Solr version 3.5 and earlier, `HTMLStripCharFilter(Factory)` had known bugs in the offsets it provided, triggering e.g. exceptions in highlighting.

This class is provided as possible alternative for people who depend on the "broken" behavior of `HTMLStripCharFilter` in Solr version 3.5 and earlier, and/or who don't like the changes introduced by the Solr 3.6+ version of `HTMLStripCharFilterFactory`. (See the 3.6.0 release section of solr/CHANGES.txt for a list of differences in behavior.)

Field Summary
`static int` | `DEFAULT_READ_AHEAD` Deprecated.

Fields inherited from class org.apache.lucene.analysis.CharFilter
`input`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`LegacyHTMLStripCharFilter(CharStream source)` Deprecated.
`LegacyHTMLStripCharFilter(CharStream source, Set<String> escapedTags)` Deprecated.
`LegacyHTMLStripCharFilter(CharStream source, Set<String> escapedTags, int readAheadLimit)` Deprecated.

Method Summary
`void` | `close()` Deprecated.
`int` | `getReadAheadLimit()` Deprecated.
`static void` | `main(String[] args)` Deprecated.
`int` | `read()` Deprecated.
`int` | `read(char[] cbuf, int off, int len)` Deprecated.

Methods inherited from class org.apache.lucene.analysis.BaseCharFilter
`addOffCorrectMap, correct, getLastCumulativeDiff`

Methods inherited from class org.apache.lucene.analysis.CharFilter
`correctOffset, mark, markSupported, reset`

Methods inherited from class java.io.Reader
`read, read, ready, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_READ_AHEAD

    public static final int DEFAULT_READ_AHEAD

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### LegacyHTMLStripCharFilter

    public LegacyHTMLStripCharFilter(CharStream source)

  Deprecated.

### LegacyHTMLStripCharFilter

    public LegacyHTMLStripCharFilter(CharStream source,
                                     Set<String> escapedTags)

  Deprecated.

### LegacyHTMLStripCharFilter

    public LegacyHTMLStripCharFilter(CharStream source,
                                     Set<String> escapedTags,
                                     int readAheadLimit)

  Deprecated.

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  Deprecated.
  Throws:
    `IOException`

### getReadAheadLimit

    public int getReadAheadLimit()

  Deprecated.

### read

    public int read()
             throws IOException

  Deprecated.
  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Deprecated.
  Overrides:
    `read` in class `CharFilter`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Deprecated.
  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `CharFilter`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD